Subject: bug#74994: Improve Emacs iCalendar support

From: Richard Lawrence <[email-masked]>
Date: Mon, 23 Dec 2024 09:43:32 +0100

Jean Louis <[email-masked]> writes:

> Is there no package that can accept structure and convert to
> iCalendar?

Not that I was able to find after looking several times, and rather
extensively. I was surprised too.

Anyway, as I said in my initial post, I think that a more robust
iCalendar implementation belongs in Emacs core. There are already
*three* partial implementations in Emacs, but they are all incomplete
and support different applications (Gnus, Org, and diary). The reason
for this, I believe, is that the current icalendar.el is not well
documented and somewhat difficult to extend. The idea here is to provide
a library that all three of these applications, as well as third party
packages, can more easily use.

Best,
Richard